<?php
#¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯¯
#   version......: 1.1.0
#   last.change..: 2013-12-19
#   created.by...: Jan Jastrow
#   contact......: jan@schwerkraftlabor.de
#   license......: MIT license
#   soure........: https://github.com/Gehirnfussel/Firma2-Essensplan
#_________________

#	Gibt die Kalenderwoche des 31.12. des aktuellen Jahres aus
date_default_timezone_set('Europe/Berlin');
function maxKW($year) {
	if (date("W",mktime(0,0,0,12,31,$year)) == 53)
		return 53;
	else
		return 52;
}
$max_kw = maxKW(date("o"));

#	Kalenderwoche ermitteln
$akt_kw = date('W');

#	GET-Parameter auslesen
if(isset($_GET['wann']))
	$wann = $_GET['wann'];
else
	$wann = 0; # Standard: Aktuelle Woche (+0)

#	Diese Woche + $wann
$kw = $akt_kw + $wann;

#	Standort auslesen
if(isset($_GET['wo']))
	$wo = $_GET['wo'];
else
	$wo = "RD"; # Standard: RD

#	Jahresende-Check
if($kw > $max_kw)
	$kw = $kw - $max_kw;

if($kw < 10)
	$kw = "0".$kw;

#	Pfad und Dateiname zum PDF
$speiseplan = "file://Server/Path1-".$wo."/Path2/".$kw."-KW.pdf";

#	Direkte Weiterleitung zum entsprechenden Speiseplan
echo '<!doctype html>
<html>
<head>
	<meta charset="UTF-8"/>
	<meta http-equiv="refresh" content="0; url='.$speiseplan.'" />
	<title>Speiseplan</title>
	<style type="text/css">
		body {
			background: #e0e0e0;
			color: #333;
			font-family: "Open Sans", Calibri, Helvetica, Arial, sans-serif;
			font-size: 12pt;
			}
	</style>
</head>
<body>
	<script type="text/javascript">window.location = "'.$speiseplan.'"</script>
	<p>Es erfolgt eine automatische Weiterleitung zum aktuellen Speiseplan…</p>
	<p>Sollte diese nicht stattfinden, können Sie <a href="'.$speiseplan.'">hier klicken</a>, um zum aktuellen Speiseplan zu kommen oder <a href="file://Server/Path1-'.$wo.'/Path2/personalspeiseplan_'.strtolower($wo).'.htm">hier klicken</a>, um zur Wochenübersicht zu gelangen.</p>
	<p>Falls ein Fehler auftritt, wenden Sie sich bitte an Ihren Administrator.</p>
</body>
</html>';
?>
